<?php

///////
/// Version: 1.0
/// DEVELOPED BY KEVIN DEVIN (http://kevindevin.com) AND GARRICK VAN BUREN (http://garrickvanburen.com) ///
/// AMENDED BY CHRISTIAN WACH (http://www.haystack.co.uk) ///
/// FOR USE WITH THE WP-iPodCatter Plugin; (http://www.garrickvanburen.com/wpipodcatter/ ) ///
//////

if (empty($feed)) {
	$blog = 1;
	$feed = 'rss2';
	$doing_rss = 1;
	require('wp-blog-header.php');
}

header('Content-type: text/xml; charset=' . get_settings('blog_charset'), true);
$more = 1;

?>
<?php echo '<?xml version="1.0" encoding="'.get_settings('blog_charset').'"?'.'>'; ?>

<!-- generator="wordpress/<?php bloginfo_rss('version') ?>" -->
<rss xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" 
     xmlns:dtvmedia="http://participatoryculture.org/RSSModules/dtv/1.0" 
     xmlns:media="http://search.yahoo.com/mrss"	
     xmlns:content="http://purl.org/rss/1.0/modules/content/" 
     xmlns:wfw="http://wellformedweb.org/CommentAPI/" 
     xmlns:dc="http://purl.org/dc/elements/1.1/" 
     version="2.0">

<channel>
	<title><?php bloginfo_rss('name'); ?></title>
	<link><?php bloginfo_rss('url') ?></link>
	<description><?php bloginfo_rss("description") ?></description>

	<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></pubDate>
	<generator>http://wordpress.org/?v=<?php bloginfo_rss('version'); ?></generator>
	<language><?php echo get_option('rss_language'); ?></language>

    <copyright><?php echo get_option('itunesAdminName'); ?> 2003-2006</copyright>
    <managingEditor><?php echo get_option('itunesAdminEmail'); ?> (<?php echo get_option('itunesAdminName'); ?>)</managingEditor>
    <webMaster><?php echo get_option('itunesAdminEmail'); ?></webMaster>

    <category><?php echo get_option('channelCat'); ?></category>
<?php return_itunes_defaultCats(); ?>
    <itunes:subtitle><?php echo stripslashes(get_option('itunesSubtitle')); ?></itunes:subtitle>
    <itunes:summary><?php bloginfo_rss("description") ?></itunes:summary>
    <itunes:author><?php echo get_option('itunesAdminName'); ?></itunes:author>    
    <itunes:owner>
        <itunes:name><?php echo stripslashes(get_option('itunesAdminName')); ?></itunes:name>
        <itunes:email><?php echo get_option('itunesAdminEmail'); ?></itunes:email>
    </itunes:owner>
    <itunes:explicit><?php echo get_option('itunesDefaultExplicit'); ?></itunes:explicit>
	<itunes:image href="<?php echo get_option('itunesImageBig'); ?>" />
 
    <image>
        <url><?php echo get_option('itunesImageSmall'); ?></url>
        <title><?php bloginfo_rss('name'); ?></title>
        <link><?php bloginfo_rss('url') ?></link>
        <width>144</width>
        <height>144</height>
    </image>

    
	<?php $items_count = 0; if ($posts) { foreach ($posts as $post) { start_wp(); ?>
	<item>
		<title><?php the_title_rss() ?></title>
		<link><?php permalink_single_rss() ?></link>
		<comments><?php comments_link(); ?></comments>
		<pubDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_post_time('Y-m-d H:i:s', true), false); ?></pubDate>
		<dc:creator><?php the_author_firstname() ?> <?php the_author_lastname() ?></dc:creator>
		    
		<?php the_category_rss() ?>

		<guid><?php the_permalink($id); ?></guid>
<?php if (get_settings('rss_use_excerpt')) : ?>
		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
<?php else : ?>
		<description><![CDATA[<?php the_excerpt_rss() ?>]]></description>
	<?php if ( strlen( $post->post_content ) > 0 ) : ?>
		<content:encoded><![CDATA[<?php the_content('', 0, '') ?>]]></content:encoded>
	<?php else : ?>
		<content:encoded><![CDATA[<?php the_excerpt_rss() ?>]]></content:encoded>
	<?php endif; ?>
<?php endif; ?>
		<wfw:commentRSS><?php echo comments_rss(); ?></wfw:commentRSS>
        
        <?php rss_enclosure(); ?>
        
        <?php return_itunes_dur($id, $baseURL); ?>
        
        <itunes:author><?php the_author_firstname() ?> <?php the_author_lastname() ?></itunes:author>
        <itunes:subtitle><?php ltrim(the_content_rss('', false, 0, 25)); ?></itunes:subtitle>
        <itunes:summary><?php ltrim(the_content_rss('', false, 0, '', 2)); ?></itunes:summary>
        
        <?php return_itunes_explicit($id); ?>
        <?php return_itunes_block($id); ?>
        <?php return_itunes_keywords($id); ?>
        
	</item>
	<?php $items_count++; if (($items_count == get_settings('posts_per_rss')) && empty($m)) { break; } } } ?>
</channel>
</rss>